Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename conventional-changelog-angular

# tests disabled due to circular dependency on npm(conventional-changelog-core)
%global enable_tests 0

Name:		nodejs-conventional-changelog-angular
Version:	1.6.6
Release:	alt1_3
Summary:	A conventional-changelog angular preset

License:	ISC
URL:		https://github.com/conventional-changelog/conventional-changelog-angular
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Test files not in NPM tarball
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	%{packagename}-tests-%{version}.tar.bz2
Source10:	dl-cc-tests.sh

# License file
Source11:	https://raw.githubusercontent.com/conventional-changelog/conventional-changelog/master/packages/conventional-changelog-angular/LICENSE.md



BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(compare-func)
BuildRequires:	npm(github-url-from-git)
BuildRequires:	npm(q)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(conventional-changelog-core)
%endif
Source44: import.info

%description
A conventional-changelog angular preset


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package
# license
cp -p %{SOURCE11} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js templates/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%doc --no-dereference LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.6.6-alt1_3
- new version

